public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/logcheck/, app-admin/logcheck/files/
Date: Thu, 27 Jul 2023 05:58:13 +0000 (UTC)	[thread overview]
Message-ID: <1690437472.f93cfe38c170346e48fe1a20b25a92d677cdbd5a.sam@gentoo> (raw)

commit:     f93cfe38c170346e48fe1a20b25a92d677cdbd5a
Author:     Giuseppe Foti <foti.giuseppe <AT> gmail <DOT> com>
AuthorDate: Sun Jul 23 14:28:44 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jul 27 05:57:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f93cfe38

app-admin/logcheck: new package, add 1.4.3

Signed-off-by: Giuseppe Foti <foti.giuseppe <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-admin/logcheck/Manifest                |  1 +
 app-admin/logcheck/files/logcheck.cron     | 11 ++++
 app-admin/logcheck/files/logcheck.service  | 11 ++++
 app-admin/logcheck/files/logcheck.timer    |  8 +++
 app-admin/logcheck/files/logcheck.tmpfiles |  2 +
 app-admin/logcheck/logcheck-1.4.3.ebuild   | 86 ++++++++++++++++++++++++++++++
 app-admin/logcheck/metadata.xml            | 36 +++++++++++++
 7 files changed, 155 insertions(+)

diff --git a/app-admin/logcheck/Manifest b/app-admin/logcheck/Manifest
new file mode 100644
index 000000000000..91a93a36c6bc
--- /dev/null
+++ b/app-admin/logcheck/Manifest
@@ -0,0 +1 @@
+DIST logcheck-1.4.3.tar.gz 168176 BLAKE2B f319a644afa0de5533e37b288456f35bdc47daa6c76c413dc916d05f162b24467f70d73bba97eb9cdbc162973e9495daa48263d9f04a2f0151f7ddc5b66a6a37 SHA512 c853493d693dd44f477561596be4de1ad74c4b4380f83f86d6204e0de59c7edccdc4c8d6ec53a96f6eefa4d1995910e9e395c7573b0e2ee8f75d632abb104e09

diff --git a/app-admin/logcheck/files/logcheck.cron b/app-admin/logcheck/files/logcheck.cron
new file mode 100644
index 000000000000..091e1bd895b7
--- /dev/null
+++ b/app-admin/logcheck/files/logcheck.cron
@@ -0,0 +1,11 @@
+#!/bin/sh
+#
+# To enable sync via cron, execute "sudo -u logcheck touch /etc/logcheck/cron-logcheck-enabled"
+if [[ ! -f /etc/logcheck/cron-logcheck-enabled ]]; then
+   exit
+fi
+if [ ! -d /var/lock/logcheck ]; then
+	mkdir -p /var/lock/logcheck
+	chown logcheck:logcheck /var/lock/logcheck
+fi
+sudo -u logcheck nice -n10 /usr/sbin/logcheck

diff --git a/app-admin/logcheck/files/logcheck.service b/app-admin/logcheck/files/logcheck.service
new file mode 100644
index 000000000000..8d5cd4ac467c
--- /dev/null
+++ b/app-admin/logcheck/files/logcheck.service
@@ -0,0 +1,11 @@
+[Unit]
+Description=Mails anomalies in the system logfiles to the administrator
+
+[Service]
+Type=oneshot
+ExecStart=/usr/sbin/logcheck
+SyslogIdentifier=logcheck
+User=logcheck
+
+[Install]
+WantedBy=multi-user.target

diff --git a/app-admin/logcheck/files/logcheck.timer b/app-admin/logcheck/files/logcheck.timer
new file mode 100644
index 000000000000..db5fc229a16e
--- /dev/null
+++ b/app-admin/logcheck/files/logcheck.timer
@@ -0,0 +1,8 @@
+[Unit]
+Description=Mails anomalies in the system logfiles to the administrator
+
+[Timer]
+OnCalendar=hourly
+
+[Install]
+WantedBy=timers.target

diff --git a/app-admin/logcheck/files/logcheck.tmpfiles b/app-admin/logcheck/files/logcheck.tmpfiles
new file mode 100644
index 000000000000..7d358900103a
--- /dev/null
+++ b/app-admin/logcheck/files/logcheck.tmpfiles
@@ -0,0 +1,2 @@
+# logcheck lock directory
+d /var/lock/logcheck 0755 logcheck logcheck -

diff --git a/app-admin/logcheck/logcheck-1.4.3.ebuild b/app-admin/logcheck/logcheck-1.4.3.ebuild
new file mode 100644
index 000000000000..2465085e8381
--- /dev/null
+++ b/app-admin/logcheck/logcheck-1.4.3.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit readme.gentoo-r1 systemd tmpfiles
+
+DESCRIPTION="Mails anomalies in the system logfiles to the administrator"
+HOMEPAGE="https://logcheck.org/"
+SRC_URI="https://salsa.debian.org/debian/logcheck/-/archive/debian/${PV}/logcheck-debian-${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-debian-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="cron systemd"
+# Test (emake system-test) requires access to system logs
+RESTRICT="test"
+
+DEPEND="
+	acct-group/logcheck
+	acct-user/logcheck[systemd?]
+"
+
+RDEPEND="
+	${DEPEND}
+	!app-admin/logsentry
+	app-misc/lockfile-progs
+	dev-lang/perl
+	dev-perl/mime-construct
+	virtual/mailx
+"
+
+DOC_CONTENTS="
+	Please read the guide at https://wiki.gentoo.org/wiki/Logcheck
+	for installation instructions.
+"
+
+src_prepare() {
+	default
+	# Set version from PV, without using dpkg
+	sed -i -e "s/^VERSION=unknown/VERSION=\"${PV}\"/" "${S}/src/logcheck" || die
+
+	# Add /var/log/messages to checked logs
+	echo "/var/log/messages" >> "${S}/etc/logcheck.logfiles.d/syslog.logfiles" || die
+
+	# QA-fix Remove install of empty dirs to be created at runtime
+	sed -i "/install -d \$(DESTDIR)\/var\/lock\/logcheck/d" "${S}/Makefile" || die
+}
+
+src_install() {
+	default
+
+	keepdir /var/lib/logcheck
+
+	dodoc docs/README.*
+	doman docs/logtail.8 docs/logtail2.8
+
+	if use cron; then
+		exeinto /etc/cron.hourly
+		newexe "${FILESDIR}"/${PN}.cron ${PN}
+		DOC_CONTENTS="${DOC_CONTENTS}\n
+			\n
+			Read /etc/cron.hourly/logcheck.cron to activate hourly cron-based check!"
+	fi
+
+	if use systemd; then
+		DOC_CONTENTS="${DOC_CONTENTS}\n
+		\n
+		To enable the systemd timer, run the following command:\n
+		   systemctl enable --now logcheck.timer"
+	fi
+
+	systemd_dounit "${FILESDIR}/${PN}."{service,timer}
+	newtmpfiles "${FILESDIR}/logcheck.tmpfiles" logcheck.conf
+
+	readme.gentoo_create_doc
+
+	fowners -R logcheck:logcheck /etc/logcheck /var/lib/logcheck
+}
+
+pkg_postinst() {
+	tmpfiles_process logcheck.conf
+
+	readme.gentoo_print_elog
+}

diff --git a/app-admin/logcheck/metadata.xml b/app-admin/logcheck/metadata.xml
new file mode 100644
index 000000000000..4ef48a7a9e21
--- /dev/null
+++ b/app-admin/logcheck/metadata.xml
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person" proxied="yes">
+		<email>foti.giuseppe@gmail.com</email>
+		<name>Giuseppe Foti</name>
+	</maintainer>
+	<maintainer type="project" proxied="proxy">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<longdescription lang="en">
+			Logcheck is a simple utility which is designed to allow a system administrator to view the logfiles which are produced upon hosts under their control.
+			It does this by mailing summaries of the logfiles to them, after first filtering out "normal" entries.
+			Normal entries are entries which match one of the many included regular expression files contain in the database.
+	</longdescription>
+	<use>
+		<flag name="cron">Adds file to enable hourly cron job to run logcheck"</flag>
+	</use>
+	<upstream>
+		<maintainer status="active">
+			<name>Mathias Gibbens</name>
+			<email>gibmat@debian.org</email>
+		</maintainer>
+		<maintainer status="active">
+			<name>Jose M Calhariz</name>
+			<email>calhariz@debian.org</email>
+		</maintainer>
+		<maintainer status="active">
+			<name>Debian logcheck Team</name>
+			<email>logcheck@packages.debian.org</email>
+		</maintainer>
+		<bugs-to>https://bugs.debian.org/logcheck</bugs-to>
+		<changelog>https://metadata.ftp-master.debian.org/changelogs/main/l/logcheck/unstable_changelog</changelog>
+	</upstream>
+</pkgmetadata>


             reply	other threads:[~2023-07-27  5:58 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-27  5:58 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-14 22:31 [gentoo-commits] repo/gentoo:master commit in: app-admin/logcheck/, app-admin/logcheck/files/ Sam James
2024-10-06  8:33 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1690437472.f93cfe38c170346e48fe1a20b25a92d677cdbd5a.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox